package io.gitlab.jfronny.woodpecker.include.model;

import io.gitlab.jfronny.gson.annotations.SerializedName;

public class Repo {
    public Long id;
    public String uid;
    public Long user_id;
    public String namespace;
    public String name;
    public String slug;
    public String scm;
    public String git_http_url;
    public String git_ssh_url;
    public String link;
    public String default_branch;
    @SerializedName("private")
    public Boolean private$;
    public String visibility;
    public Boolean active;
    public String config;
    public Boolean trusted;
    @SerializedName("protected")
    public Boolean protected$;
    public Boolean ignore_forks;
    public Boolean ignore_pulls;
    public Boolean cancel_pulls;
    public Long timeout;
    public Long counter;
    public Long synced;
    public Long created;
    public Long updated;
    public Long version;
}
