package io.gitlab.jfronny.woodpecker.include.model;

import java.util.List;

public class ResponseModel {
    public List<Pipeline> configs;

    public ResponseModel() {
    }

    public ResponseModel(List<Pipeline> configs) {
        this.configs = List.copyOf(configs);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("{\"configs\":[");
        boolean first = false;
        for (Pipeline config : configs) {
            if (!first) sb.append(',');
            first = true;
            sb.append(config.toString());
        }
        sb.append("]}");
        return sb.toString();
    }
}
