plugins {
    java
    application
    id("com.github.johnrengelman.shadow") version "7.1.2"
}

group = "io.gitlab.jfronny"
version = "1.0-SNAPSHOT"

application {
    mainClass.set("io.gitlab.jfronny.woodpecker.include.Main")
}

repositories {
    mavenCentral()
    maven("https://gitlab.com/api/v4/projects/35745143/packages/maven")
}

dependencies {
    implementation("net.freeutils:jlhttp:2.6")
    implementation("com.amihaiemil.web:eo-yaml:6.1.0")
    implementation("io.gitlab.jfronny:commons:2022.9.26+17-56-16")
    implementation("io.gitlab.jfronny:commons-gson:2022.9.26+17-56-16")
}

tasks.runShadow {
    args("8002")
}
