package io.gitlab.jfronny.woodpecker.include.model;

import com.amihaiemil.eoyaml.YamlMapping;

public class Pipeline {
    public String name;
    public YamlMapping data;

    @Override
    public String toString() {
        return "{\"name\":\"" + escape(name) + ",\"data\":\"" + escape(data.toString()) + '}';
    }

    private static String escape(String text) {
        return text
                .replace("\\", "\\\\")
                .replace("\"", "\\\"")
                .replace("\r", "\\r")
                .replace("\n", "\\n");
    }
}
