package io.gitlab.jfronny.woodpecker.include.util;

import com.amihaiemil.eoyaml.Yaml;
import com.amihaiemil.eoyaml.YamlMapping;
import io.gitlab.jfronny.gson.TypeAdapter;
import io.gitlab.jfronny.gson.stream.JsonReader;
import io.gitlab.jfronny.gson.stream.JsonWriter;

import java.io.IOException;

public class YamlTypeAdapter extends TypeAdapter<YamlMapping> {
    @Override
    public void write(JsonWriter jsonWriter, YamlMapping yamlMapping) throws IOException {
        jsonWriter.value(yamlMapping.toString());
    }

    @Override
    public YamlMapping read(JsonReader jsonReader) throws IOException {
        return Yaml.createYamlInput(jsonReader.nextString()).readYamlMapping();
    }
}
